Debian Bug report logs - #604648
gdbm fails to cross-build

version graph

Package: gdbm; Maintainer for gdbm is Anibal Monsalve Salazar <anibal@debian.org>;

Reported by: Peter Pearse <peter.pearse@linaro.org>

Date: Tue, 23 Nov 2010 11:30:01 UTC

Severity: wishlist

Tags: patch

Found in versions 1.8.3, 1.8.3-11

Fixed in version gdbm/1.8.3-12

Done: Anibal Monsalve Salazar <anibal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#604648; Package gdbm. (Tue, 23 Nov 2010 11:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Pearse <peter.pearse@linaro.org>:
New Bug report received and forwarded. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Tue, 23 Nov 2010 11:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Pearse <peter.pearse@linaro.org>
To: submit@bugs.debian.org
Subject: gdbm fails to cross build using xdeb
Date: Tue, 23 Nov 2010 11:26:36 +0000
Subject: gdbm fails to cross build using xdeb
Package: gdbm
Version: 1.8.3
Severity: wishlist

Some strips fail to recognize binaries of other architectures

Passing the correct strip for the target architecture, as in the patch below,
prevents this failure
---
diff -Nru gdbm-1.8.3/debian/rules gdbm-1.8.3-9/debian/rules
--- gdbm-1.8.3/debian/rules     2010-11-15 10:42:09.000000000 +0000
+++ gdbm-1.8.3-9/debian/rules   2010-10-15 11:10:12.000000000 +0000
@@ -13,7 +13,7 @@
 DEB_BUILD_GNU_TYPE     := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE      := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

-STRIP=strip --remove-section=.comment --remove-section=.note
+STRIP=$(DEB_HOST_GNU_TYPE)-strip --remove-section=.comment --remove-
section=.note

 install_dir=install -d -m 755
 install_file=install -m 644



-- System Information:
Debian Release: squeeze/sid
  APT prefers maverick-updates
  APT policy: (500, 'maverick-updates'), (500, 'maverick-security'),
(500, 'maverick-proposed'), (500, 'maverick-backports'), (500,
'maverick')
Architecture: i386 (i686)

Kernel: Linux 2.6.35-22-generic-pae (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#604648; Package gdbm. (Tue, 20 Nov 2012 17:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Tue, 20 Nov 2012 17:03:06 GMT) Full text and rfc822 format available.

Message #10 received at 604648@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <604648@bugs.debian.org>
Subject: gdbm fails tomultiarch cross-build
Date: Tue, 20 Nov 2012 16:59:44 +0000
[Message part 1 (text/plain, inline)]
Package: gdbm
Version: 1.8.3-11
Severity: normal

gdbm still needs a minor fix to cross-build properly (using multiarch
rather than xdeb/dpkg-cross).

Here is an updated patch for the current release.

gdbm is a core debootstrap package so it's important that it
cross-builds properly for new architecture bootstrapping.

-- System Information:
Debian Release: 6.0.6
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32.33-kvm-i386-20111128-dirty (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[gdbm-1.8.3-cross.patch (text/x-diff, attachment)]

Changed Bug title to 'gdbm fails to cross-build' from 'gdbm fails to cross build using xdeb' Request was from Wookey <wookey@stoneboat.aleph1.co.uk> to control@bugs.debian.org. (Tue, 20 Nov 2012 17:09:03 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Colin Watson <cjwatson@ubuntu.com> to control@bugs.debian.org. (Thu, 22 Nov 2012 10:39:03 GMT) Full text and rfc822 format available.

Reply sent to Anibal Monsalve Salazar <anibal@debian.org>:
You have taken responsibility. (Sun, 02 Jun 2013 00:21:05 GMT) Full text and rfc822 format available.

Notification sent to Peter Pearse <peter.pearse@linaro.org>:
Bug acknowledged by developer. (Sun, 02 Jun 2013 00:21:05 GMT) Full text and rfc822 format available.

Message #19 received at 604648-close@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <anibal@debian.org>
To: 604648-close@bugs.debian.org
Subject: Bug#604648: fixed in gdbm 1.8.3-12
Date: Sun, 02 Jun 2013 00:17:59 +0000
Source: gdbm
Source-Version: 1.8.3-12

We believe that the bug you reported is fixed in the latest version of
gdbm, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604648@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anibal Monsalve Salazar <anibal@debian.org> (supplier of updated gdbm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 02 Jun 2013 08:43:36 +1000
Source: gdbm
Binary: libgdbm3 libgdbm-dev
Architecture: source amd64
Version: 1.8.3-12
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Anibal Monsalve Salazar <anibal@debian.org>
Description: 
 libgdbm-dev - GNU dbm database routines (development files)
 libgdbm3   - GNU dbm database routines (runtime version)
Closes: 604648 651521 709905
Changes: 
 gdbm (1.8.3-12) unstable; urgency=low
 .
   * Fix texinfo errors
     Add 08-709905-gdbm.texinfo.patch
     Closes: #709905
   * libtool is invoked with --mode=install
     Update 04_fix-gdbm-compat-linking.patch
     Patch by Igor Pashev
     Closes: #651521
   * Standards Version is 3.9.4
 .
   [ Wookey ]
   * Fix crossbuild to use correct strip binary
     Closes: #604648
Checksums-Sha1: 
 e13b5af68538a3ecf31ed32b76e1a7a621a006ee 1810 gdbm_1.8.3-12.dsc
 9c1d83dbff46812e7f08b990f19b672a284bf0eb 15010 gdbm_1.8.3-12.debian.tar.bz2
 1d1e5052a23ee19340bbd841fc58a42384809550 46980 libgdbm3_1.8.3-12_amd64.deb
 af2f8d64e3427651367e631c011d0c4163bce8ee 37838 libgdbm-dev_1.8.3-12_amd64.deb
Checksums-Sha256: 
 ba23eb0764a7c45543a4185ec411647062f0a228bf34cf78cef5aac14d8c10fd 1810 gdbm_1.8.3-12.dsc
 818f666c92d61377a9dd26179c4aa892f62bcfc3ac4bf1160a8d225335b7d175 15010 gdbm_1.8.3-12.debian.tar.bz2
 07ecce9cf265d87920d8182a10c14d379f30b50d9a0b1576ef839dad4d0de215 46980 libgdbm3_1.8.3-12_amd64.deb
 d195a25960f6ad1012d0f6e20f1512ad310acd5ddbe22aa14f5aaa115b4077a3 37838 libgdbm-dev_1.8.3-12_amd64.deb
Files: 
 3103cd23e08ec77703098fe9546cc5a8 1810 libs important gdbm_1.8.3-12.dsc
 e3e7ddedf05374519c1e49da024cacca 15010 libs important gdbm_1.8.3-12.debian.tar.bz2
 0bee22989e78d41162c109eee0530558 46980 libs important libgdbm3_1.8.3-12_amd64.deb
 8042b31fe67d7dcf71f363e5372c7215 37838 libdevel optional libgdbm-dev_1.8.3-12_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRqowJAAoJEHxWrP6UeJfYv10P/2rePm6yBbIpAkX/KaGS7ecn
oSjTll2yRsxwTaBX/lis02KsTgvWDbuSO7B6VBhmikaLfdpLf1FFueJ6Wi9m1FBy
TSmymJ1BpeM1n5QFlrd2N+v67F+j6eLnKPJJAwgzsTlQ2rbuzKeV2FhJXIlS/e+I
/yUoLcvr3qRYHuGArzjujvwqOr+cNJQYI2RrUPYygABOJXHa76KoULshPD0eej19
flI2PgHZ/RNyEoELciy63DHO3NsPl6IR/Kcv7/rPvZjmLoOslVthUZvfIKm9Ib2V
sFPG2fQ1bnZP0u1p+8BoPT8suteK1jsCWjlYgb7BuHtUY5qk0zCNueEcYu2KQ8gd
3Dly7wRSsMNIowCp1MU+IopI2uRYI2UPGV60HoTNmANdJzT8YTCb7x9wqT/5tE33
PEEUmORL+228LLAbUqivOc3oF6gejujI+nPPC2LKwkjUMDv96JjAEDCfHpQMnO3O
xeUhal0UbWnyiZHRpWSQ74qLxF0sleABToCAMa5BuchTBuJEFqKXUPrHxwUd32hu
C1w5olO9RgdMxpR6AmUwfm5dH/uM7SGIWK4qBNAwqqVkHiIisn3Q8rJ1I4SPq0S8
44cZcMX2BnJ+gJF4Pf62t8QLY98PzkbC6f6mrOaaepNIEkd60ZdAILYC/GrwECne
7KklrcaciV/ysoMLj/+R
=nF5q
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 10 Jul 2013 07:30:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:28:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.